Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.event
Interface NamingListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  NamespaceChangeListener, ObjectChangeListener, UnsolicitedNotificationListener

    public interface NamingListener

extends EventListener

This interface is the root of listener interfaces that handle `NamingEvent`s. It does not make sense for a listener to implement just this interface. A listener typically implements a subinterface of `NamingListener`, such as `ObjectChangeListener` or `NamespaceChangeListener`.

This interface contains a single method, `namingExceptionThrown()`, that must be implemented so that the listener can be notified of exceptions that are thrown (by the service provider) while gathering information about the events that they're interested in. When this method is invoked, the listener has been automatically deregistered from the `EventContext` with which it has registered.

For example, suppose a listener implements `ObjectChangeListener` and registers with a `EventContext`. Then, if the connection to the server is subsequently broken, the listener will receive a `NamingExceptionEvent` and may take some corrective action, such as notifying the user of the application.

Since:
  1.3
See Also:
  `NamingEvent`, `NamingExceptionEvent`, `EventContext`, `EventDirContext`

Method Summary
`void` | `namingExceptionThrown(NamingExceptionEvent evt)` Called when a naming exception is thrown while attempting to fire a `NamingEvent`.

Method Detail

### namingExceptionThrown

    void namingExceptionThrown(NamingExceptionEvent evt)

  Called when a naming exception is thrown while attempting to fire a `NamingEvent`.

  Parameters:
    `evt` - The nonnull event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.